> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search financial account investment holdings

> Use this endpoint to filter financial account investment holdings by various parameters.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /bank-linking/investments/holdings
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/investments/holdings:
    get:
      tags:
        - Investments
      summary: Search financial account investment holdings
      description: >-
        Use this endpoint to filter financial account investment holdings by
        various parameters.
      operationId: bank-linking-investment-holdings-search
      parameters:
        - name: customerId
          in: query
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity. Should not be provided in
            conjunction with `externalCustomerId`
          required: false
          schema:
            type: string
            default: ''
        - name: externalCustomerId
          in: query
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity. Should not be provided in conjunction
            with`customerId`
          required: false
          schema:
            type: string
            default: ''
        - name: financialAccountId
          in: query
          description: Financial account id
          required: false
          schema:
            type: string
            default: ''
        - name: connectionId
          in: query
          description: Connection Id
          required: false
          schema:
            type: string
            default: ''
        - name: before
          in: query
          description: >-
            Unique key corresponding to a investment holding's position in the
            paginated list of results -- used to indicate that only investment
            holdings residing before this key will be retrieved.


            Each investment holding carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: after
          in: query
          description: >-
            Unique key corresponding to a investment holding's position in the
            paginated list of results -- used to indicate that only investment
            holdings residing after this key will be retrieved.


            Each investment holding carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: limit
          in: query
          description: |-
            Limits number of returned financial account investment holdings.

            *Default value*: 100

            *Minimum value*: 1

            *Maximum value*: 1000
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Financial account investment holdings are returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FinancialAccountInvestmentHoldingPage'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountInvestmentHoldingPage:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of financial account investment holdings returned.
        investmentHoldings:
          type: array
          description: Financial account investment holdings
          items:
            $ref: '#/components/schemas/FinancialAccountInvestmentHolding'
        remaining:
          type: integer
          format: int32
          description: >-
            Number of remaining financial account investment holdings
            before/after this page, depending on the direction this page was
            selected.
    FinancialAccountInvestmentHolding:
      type: object
      properties:
        accountId:
          type: string
          description: >-
            The unique identifier of your account with Meld. This id will be the
            same for all calls to Meld endpoints made from this account.
        closePrice:
          type: number
          description: Price of the asset at the close of the previous trading session
        connectionIds:
          type: array
          description: Connection(s) this holding belongs to.
          items:
            type: string
        costBasis:
          type: number
          description: Original total value
        currency:
          type: string
          description: Currency of the amounts
        currentValue:
          type: number
          description: >-
            Total value at the close of previous trading session. Null for
            non-publicly traded securities
        cusip:
          type: string
          description: cusip
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        description:
          type: string
          description: Description
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        financialAccountId:
          type: string
          description: Financial Account id
        id:
          type: string
          description: The id of the financial account investment holding
        isin:
          type: string
          description: isin
        key:
          type: string
          description: >-
            When this financial account investment holding is part of a
            paginated list, this key represents its position in the list
        quantity:
          type: number
          description: >-
            Total number of units of the asset held. Depending on the type of
            the holding, this will be either the number of shares, number of
            options, or the number of crypto currency tokens held.
        serviceProviderDetails:
          type: array
          description: >-
            Raw service provider details for the service provider investment
            holdings(s) associated with this Financial Account Investment
            Holding. The raw format varies by service provider, but each result
            will always contain a serviceProvider field and an updatedAt field.
            Results are ordered by updatedAt, with the most recent result at the
            start of the list, and the oldest at the bottom.
          items:
            type: object
            additionalProperties: {}
        symbol:
          type: string
          description: >-
            Security identifier. Will be the trading symbol if for publicly
            traded securities or the crypto currency symbol for crypto holdings.
        type:
          type: string
          description: Holding type
          enum:
            - STOCK
            - MUTUAL_FUND
            - CASH
            - OTHER
            - REAL_ESTATE
            - ETF
            - DERIVATIVE
            - DIGITAL_ASSET
            - BOND
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````